org.apache.lucene.facet

## Class FacetField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.facet.FacetField

All Implemented Interfaces:
  IndexableField

    public class FacetField
    extends Field

Add an instance of this to your `Document` for every facet label.

NOTE: you must call `FacetsConfig.build(Document)` before you add the document to IndexWriter.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

`Field.Store`

### Field Summary

Fields
`String` `dim` Dimension for this field.
`String[]` `path` Path for this field.
`static FieldType` `TYPE` Field type used for storing facet values: docs, freqs, and positions.

### Fields inherited from class org.apache.lucene.document.Field

`fieldsData, name, tokenStream, type`

### Constructor Summary

Constructors
Constructor and Description
`FacetField(String dim, String... path)` Creates the this from `dim` and `path`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static void` `verifyLabel(String label)` Verifies the label is not null or empty string.

### Methods inherited from class org.apache.lucene.document.Field

`binaryValue, fieldType, getCharSequenceValue, name, numericValue, readerValue, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE

    public static final FieldType TYPE

Field type used for storing facet values: docs, freqs, and positions.

#### dim

    public final String dim

Dimension for this field.

#### path

    public final String[] path

Path for this field.

### Constructor Detail

#### FacetField

    public FacetField(String dim,
                      String... path)

Creates the this from `dim` and `path`.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Field`

#### verifyLabel

    public static void verifyLabel(String label)

Verifies the label is not null or empty string.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.